# Uncommented these options as needed.
# To learn more about these config options, check out the OS & Device Configuration documentation.
# http://developer.wildernesslabs.co/Meadow/Meadow.OS/Configuration/OS_Device_Configuration/

Device:
  # Name of the device on the network.
  Name: MeadowF7V1_MeadowHttp

  # Uncomment if SD card hardware present on this hardware (e.g., Core-Compute module with SD add-on)? Optional; default value is `false`.
#  SdStorageSupported: true

# Control how the ESP coprocessor will start and operate.
Coprocessor:
  # Should the ESP32 automatically attempt to connect to an access point at startup?
  # If set to true, wifi.config.yaml credentials must be stored in the device.
  AutomaticallyStartNetwork: true

  # Should the ESP32 automatically reconnect to the configured access point?
  AutomaticallyReconnect: true

  # Maximum number of retry attempts for connections etc. before an error code is returned.
  MaximumRetryCount: 7

# Network configuration.
Network:
#  Interfaces:
#    - Name: Ethernet
#      UseDHCP: false
#      IPAddress: 192.168.1.60
#      NetMask: 255.255.255.0
#      Gateway: 192.168.1.254
#    - Name: WiFi
#      UseDHCP: true
#      IPAddress:
#      NetMask:
#      Gateway:

  # Which interface should be used?
  DefaultInterface: WiFi

  # Automatically attempt to get the time at startup?
  GetNetworkTimeAtStartup: true

  # Time synchronization period in seconds.
#  NtpRefreshPeriodSeconds: 600

  # Name of the NTP servers.
#  NtpServers:
#    - 0.pool.ntp.org
#    - 1.pool.ntp.org
#    - 2.pool.ntp.org
#    - 3.pool.ntp.org

  # IP addresses of the DNS servers.
#  DnsServers:
#    - 1.1.1.1
#    - 8.8.8.8